.galeria{
    width: 90%;
    margin: 50px auto 50px;
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(300px,1fr));
    gap: 30px;
}
.columna{    
    flex: 20%;
    max-width: 100%;
    padding: 0 4px ;

}
.columna img{
    width: 100%;
    height: 300px;
    object-fit: cover !important;
    cursor: pointer;
    transition: 1s;
    transition: all .3s ease;
}
.columna img:hover{
    cursor: pointer;
    box-shadow: 0 0 10px rgb(0,0,0,0.5);
    transform: scale(1.1);
}
.overlay{
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0,0, 0, .5);
    z-index: 10000;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all .7s ease;
    visibility: hidden;
    opacity: 0;
}
.overlay .slideshow{
    width: 90%;
    height: 90%;
    background-color: rgba(255,255, 255, .9);
    color: black;
    position: relative;
    display: flex;
    justify-content: center;
}
.slideshow img{
    height: 100%;
    width: 100%;
    object-fit: contain;
}
.btn_cerrar{
    position: absolute;
    top: -15px;
    right: -15px;
    font-size: 35px;
    background-color: rgba(0,0, 0, .7);
    color: aliceblue;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    transition: all .2s ease;
}
.btn_cerrar:hover{
    transform: scale(1.2);
    cursor: pointer;
}
.botones {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    color: black;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 70px;
    position:absolute;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    color: rgb(240,106,45);
}
.botones:hover > i{
    transform: scale(1.1);
    transition: all .2s ease;
}
.atras{
    left: 20px;
}
.adelante{
    right: 20px;
}
.mdi{
    pointer-events: none;
}
@media screen and (max-width:800px) {
    .columna{
        flex: 50%;
        max-width: 80%;
    }
    .botones{
        font-size: 55px;        
    }
    .atras{
        left: 5px;
    }
    .adelante{
        right: 5px;
    }
    .slideshow img{
        width: 90%;
    }
}
@media screen and (max-width:400px){
    .columna{
        flex: 100%;
        max-width: 100%;
    }
}
